API referenceSenders
POST
/senders

JavaScript SDK: swarmhit.senders.create(params)

Creates a sender, with its accounts when given. An account linked here leaves the sender it had. An unknown id refuses the request (400) and creates nothing.

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created on the Access tokens page.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/senders" \  -H "Content-Type: application/json" \  -d '{    "firstName": "Jane",    "lastName": "Cooper",    "linkedinAccountId": "aCc123",    "emailAccountIds": [      "mBx123",      "mBx456"    ]  }'
{  "data": {    "id": "string",    "firstName": "string",    "lastName": "string",    "name": "string",    "picture": "string",    "managerIds": [      "string"    ],    "linkedinAccountId": "string",    "emailAccountIds": [      "string"    ],    "whatsappAccountIds": [      "string"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}